Debian Bug report logs - #307583
aptitude: line-drawing characters broken under UTF-8

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: michael@endbracket.net

Date: Wed, 4 May 2005 02:48:07 UTC

Severity: wishlist

Tags: fixed-in-experimental, l10n

Merged with 198257, 226271, 242676, 264635, 271636, 273184, 278801, 292364, 336355

Found in versions 0.2.13-1, 0.2.13-2, 0.2.14.1-2, 0.2.15.2-1, 0.2.15.6-1, 0.2.15.7-1, 0.2.15.8-1, 0.2.15.9-2, aptitude/0.2.15.9-7, aptitude/0.4.1-1ssp, aptitude/0.4.1-1

Fixed in versions aptitude/0.4.0-1, 0.4.4-1

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#307583; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to michael@endbracket.net:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Wardle <michael@endbracket.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aptitude: line-drawing characters broken under UTF-8
Date: Wed, 04 May 2005 12:43:31 +1000
Package: aptitude
Version: 0.2.15.9-2
Severity: normal

When using aptitude under a UTF-8 character set, what should be box
borders are appearing as lqqq...k under PuTTY.

My guess is that PuTTY expects the Unicode line-drawing characters
outlined here
<http://www.oreilly.com/catalog/docbook/chapter/book/iso-box.html>
(example: U250C U2500 U2500 U2500 ... U2510 for a top line)
rather than the old style ones when UTF-8 encoding and translation are
used.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing'), (50, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.7eagle-20040916
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6.3-5-3 0.5.28.1     Advanced front-end for dpkg
ii  libc6                       2.3.2.ds1-21 GNU C Library: Shared libraries an
ii  libgcc1                     1:3.4.3-12   GCC support library
ii  libncurses5                 5.4-4        Shared libraries for terminal hand
ii  libsigc++-1.2-5c102         1.2.5-4      type-safe Signal Framework for C++
ii  libstdc++5                  1:3.3.5-12   The GNU Standard C++ Library v3

-- no debconf information



Severity set to `wishlist'. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 198257 226271 242676 264635 271636 273184 278801 307583. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#307583; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Michael Wardle <michael@endbracket.net>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a Bug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Message #14 received at 307583@bugs.debian.org (full text, mbox):

From: Michael Wardle <michael@endbracket.net>
To: 307583@bugs.debian.org
Date: Wed, 04 May 2005 23:51:21 +1000
From what I have read, the wide character version of ncurses, ncursesw 
(Debian package: libncursesw5), is supposed to provide UTF-8 encoded 
line drawing characters using the same API, yet relinking the CVS 
version of aptitude against -lncursesw exhibits the same behavior. 
Indeed, testvscreen in the source package and other example curses 
applications also still draw boxes using lqqq...x as well.



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#307583; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #19 received at 307583@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Michael Wardle <michael@endbracket.net>, 307583@bugs.debian.org
Subject: Re: Bug#307583: (no subject)
Date: Wed, 4 May 2005 10:13:35 -0400
[Message part 1 (text/plain, inline)]
On Wednesday 04 May 2005 09:51 am, Michael Wardle wrote:
>  From what I have read, the wide character version of ncurses, ncursesw
> (Debian package: libncursesw5), is supposed to provide UTF-8 encoded
> line drawing characters using the same API, yet relinking the CVS
> version of aptitude against -lncursesw exhibits the same behavior.
> Indeed, testvscreen in the source package and other example curses
> applications also still draw boxes using lqqq...x as well.

  aptitude has all sorts of problems in UTF8 right now (the formatting 
algorithms and stuff need to be rewritten for UTF8), so it refuses to produce 
UTF8 output at all.  This probably explains what you're seeing.

  Daniel

-- 
/------------------- Daniel Burrows <dburrows@debian.org> ------------------\
|           "But what the eagle does not realize is that it is              |
|            participating in a crude form of natural selection.            |
|            One day, a tortoise will learn to fly."                        |
|             -- Terry Pratchett, _Small Gods_                              |
\--------------------- A duck! -- http://www.python.org --------------------/
[Message part 2 (application/pgp-signature, inline)]

Message sent on to michael@endbracket.net:
Bug#307583. Full text and rfc822 format available.

Message #22 received at 307583-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 307583-submitter@bugs.debian.org
Subject: Re: Bug#307583: (no subject)
Date: Sat, 7 May 2005 14:50:46 -0400
[Message part 1 (text/plain, inline)]
Michael Wardle <michael@endbracket.net> wrote:
>  From what I have read, the wide character version of ncurses, ncursesw 
> (Debian package: libncursesw5), is supposed to provide UTF-8 encoded 
> line drawing characters using the same API, yet relinking the CVS 
> version of aptitude against -lncursesw exhibits the same behavior. 
> Indeed, testvscreen in the source package and other example curses 
> applications also still draw boxes using lqqq...x as well.

It's supposed to work.  Perhaps a little more information about $TERM,
locale and the particular terminal emulator would let me see where the
problem lies.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#307583; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Michael Wardle <michael@endbracket.net>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #27 received at 307583@bugs.debian.org (full text, mbox):

From: Michael Wardle <michael@endbracket.net>
To: 307583@bugs.debian.org
Subject: aptitude: line-drawing characters broken under UTF-8
Date: Sun, 08 May 2005 10:48:12 +1000
My locale is en_AU.UTF-8 as you'll see hidden in the initial report.  I 
have also tried en_AU.utf8, but the behavior is the same (as you would 
expect).

My terminal emulator is PuTTY 0.57 on Windows XP from 
<http://www.chiark.greenend.org.uk/~sgtatham/putty/>.

PuTTY is configured to use UTF-8 translation.

I normally use "Bitstream Vera Sans Mono", but others such as "Lucida 
Console" and "Andale Mono" work the same.

My TERM environment variable is routinely set to "xterm", however 
"putty" exhibits the same behavior.

If there is a terminfo capability describing whether a terminal support 
DEC VT line drawing characters, I doubt it would be useful here.  PuTTY 
will render those characters (l, q, x, etc.) as lines if it's set to a 
non-Unicode character set, however if the translation 
(Window->Translation->Character Set) is set to UTF-8 encoding/decoding, 
it displays them only as their literal character values (l, q, x, etc.).

The only way I have found to draw lines in PuTTY with UTF-8 is by 
sending an appropriate encoding of the Unicode code points for line 
drawing characters (U+250C, U+2500, U+2510, etc.).




Message sent on to michael@endbracket.net:
Bug#307583. Full text and rfc822 format available.

Message #30 received at 307583-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Michael Wardle <michael@endbracket.net>, 307583-submitter@bugs.debian.org
Cc: Daniel Jacobowitz <dan@debian.org>
Subject: Re: Bug#307583: aptitude: line-drawing characters broken under UTF-8
Date: Mon, 9 May 2005 08:22:18 -0400
[Message part 1 (text/plain, inline)]
On Sun, May 08, 2005 at 03:20:09AM +0200, Michael Wardle wrote:
> My locale is en_AU.UTF-8 as you'll see hidden in the initial report.  I 
> have also tried en_AU.utf8, but the behavior is the same (as you would 
> expect).
> 
> My terminal emulator is PuTTY 0.57 on Windows XP from 
> <http://www.chiark.greenend.org.uk/~sgtatham/putty/>.
> 
> PuTTY is configured to use UTF-8 translation.

When PuTTY is running in UTF-8 mode, it ignores the vt100-style line-drawing
defined in the terminfo.  This is a known limitation of PuTTY for which I've
made a workaround in upstream ncurses.  At some point the Debian ncurses
maintainer will package that, but until that point there's not much that
you can do to appease PuTTY.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Message sent on to michael@endbracket.net:
Bug#307583. Full text and rfc822 format available.

Message #33 received at 307583-submitter@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: Thomas Dickey <dickey@radix.net>
Cc: Michael Wardle <michael@endbracket.net>, 307583-submitter@bugs.debian.org
Subject: Re: Bug#307583: aptitude: line-drawing characters broken under UTF-8
Date: Mon, 9 May 2005 08:27:10 -0400
On Mon, May 09, 2005 at 08:22:18AM -0400, Thomas Dickey wrote:
> On Sun, May 08, 2005 at 03:20:09AM +0200, Michael Wardle wrote:
> > My locale is en_AU.UTF-8 as you'll see hidden in the initial report.  I 
> > have also tried en_AU.utf8, but the behavior is the same (as you would 
> > expect).
> > 
> > My terminal emulator is PuTTY 0.57 on Windows XP from 
> > <http://www.chiark.greenend.org.uk/~sgtatham/putty/>.
> > 
> > PuTTY is configured to use UTF-8 translation.
> 
> When PuTTY is running in UTF-8 mode, it ignores the vt100-style line-drawing
> defined in the terminfo.  This is a known limitation of PuTTY for which I've
> made a workaround in upstream ncurses.  At some point the Debian ncurses
> maintainer will package that, but until that point there's not much that
> you can do to appease PuTTY.

Thanks.  I will be updating ncurses in Debian very soon; I have been
waiting "just one more month now, honest" for quite a while for sarge
to finish baking :-)

-- 
Daniel Jacobowitz
CodeSourcery, LLC



Message sent on to michael@endbracket.net:
Bug#307583. Full text and rfc822 format available.

Message #36 received at 307583-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Daniel Jacobowitz <dan@debian.org>
Cc: 307583-submitter@bugs.debian.org
Subject: Re: Bug#307583: aptitude: line-drawing characters broken under UTF-8
Date: Mon, 9 May 2005 10:28:35 -0400
[Message part 1 (text/plain, inline)]
On Mon, May 09, 2005 at 08:27:10AM -0400, Daniel Jacobowitz wrote:
> Thanks.  I will be updating ncurses in Debian very soon; I have been
> waiting "just one more month now, honest" for quite a while for sarge
> to finish baking :-)

thanks.  I'm trying to wind down changes for ncurses 5.5 (document things,
retest, revisit some isolated bugs).  I _think_ it's stable...

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Message sent on to michael@endbracket.net:
Bug#307583. Full text and rfc822 format available.

Message #39 received at 307583-submitter@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: Thomas Dickey <dickey@radix.net>
Cc: 307583-submitter@bugs.debian.org
Subject: Re: Bug#307583: aptitude: line-drawing characters broken under UTF-8
Date: Mon, 9 May 2005 10:37:11 -0400
On Mon, May 09, 2005 at 10:28:35AM -0400, Thomas Dickey wrote:
> On Mon, May 09, 2005 at 08:27:10AM -0400, Daniel Jacobowitz wrote:
> > Thanks.  I will be updating ncurses in Debian very soon; I have been
> > waiting "just one more month now, honest" for quite a while for sarge
> > to finish baking :-)
> 
> thanks.  I'm trying to wind down changes for ncurses 5.5 (document things,
> retest, revisit some isolated bugs).  I _think_ it's stable...

That would be great.  Do you have a prediction for when it will be
released, i.e. should I wait for it before uploading?

-- 
Daniel Jacobowitz
CodeSourcery, LLC



Message sent on to michael@endbracket.net:
Bug#307583. Full text and rfc822 format available.

Message #42 received at 307583-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Daniel Jacobowitz <dan@debian.org>
Cc: 307583-submitter@bugs.debian.org
Subject: Re: Bug#307583: aptitude: line-drawing characters broken under UTF-8
Date: Mon, 9 May 2005 10:47:20 -0400
[Message part 1 (text/plain, inline)]
On Mon, May 09, 2005 at 10:37:11AM -0400, Daniel Jacobowitz wrote:
> On Mon, May 09, 2005 at 10:28:35AM -0400, Thomas Dickey wrote:
> > On Mon, May 09, 2005 at 08:27:10AM -0400, Daniel Jacobowitz wrote:
> > > Thanks.  I will be updating ncurses in Debian very soon; I have been
> > > waiting "just one more month now, honest" for quite a while for sarge
> > > to finish baking :-)
> > 
> > thanks.  I'm trying to wind down changes for ncurses 5.5 (document things,
> > retest, revisit some isolated bugs).  I _think_ it's stable...
> 
> That would be great.  Do you have a prediction for when it will be
> released, i.e. should I wait for it before uploading?

no - I don't have a prediction (sorry).  There are only a few things I
intend to do though.  Here's what's in my head (my written to-do list
is very long):

	a) update the generated ada-binding html documentation (I need
	   to repair/update the gnathtml script).

	b) review the manpages (try to document error-returns - X/Open
	   doesn't define many of them, and some people complained that
	   ncurses does document those that it does detect).

	c) revisit the extended-color option, ensure that it's really
	   repainting as intended (I have a sense that there's a bug
	   there, though my test-case seems to work).

	d) do some profiling checking (I did some earlier this year,
	   but have some more to do).

	e) test-build on different platforms

That sounds simple, but it's several days work (in between other things
I'm working on).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Tags added: fixed-in-experimental Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 198257 226271 242676 264635 271636 273184 278801 292364 307583. Request was from Daniel Burrows <dburrows@vzavenue.net> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 198257 226271 242676 264635 271636 273184 278801 292364 307583 336355. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to michael@endbracket.net:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #53 received at 198257-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 198257-close@bugs.debian.org
Subject: Bug#198257: fixed in aptitude 0.4.0-1
Date: Fri, 04 Nov 2005 11:17:18 -0800
Source: aptitude
Source-Version: 0.4.0-1

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-doc-cs_0.4.0-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-cs_0.4.0-1_all.deb
aptitude-doc-en_0.4.0-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-en_0.4.0-1_all.deb
aptitude-doc-fi_0.4.0-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fi_0.4.0-1_all.deb
aptitude-doc-fr_0.4.0-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fr_0.4.0-1_all.deb
aptitude_0.4.0-1.diff.gz
  to pool/main/a/aptitude/aptitude_0.4.0-1.diff.gz
aptitude_0.4.0-1.dsc
  to pool/main/a/aptitude/aptitude_0.4.0-1.dsc
aptitude_0.4.0-1_i386.deb
  to pool/main/a/aptitude/aptitude_0.4.0-1_i386.deb
aptitude_0.4.0.orig.tar.gz
  to pool/main/a/aptitude/aptitude_0.4.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 198257@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  4 Nov 2005 13:02:22 -0500
Source: aptitude
Binary: aptitude-doc-cs aptitude-doc-fr aptitude-doc-fi aptitude-doc-en aptitude
Architecture: source all i386
Version: 0.4.0-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 aptitude   - terminal-based apt frontend
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based apt frontend
 aptitude-doc-en - English manual for aptitude, a terminal-based apt frontend
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based apt frontend
 aptitude-doc-fr - French manual for aptitude, a terminal-based apt frontend
Closes: 136973 137311 146485 147862 156065 158771 160418 161872 169479 173259 175408 198257 216730 217477 217477 219920 225095 230187 230188 238200 243192 243830 245348 246140 265481 265723 268916 270699 272409 272429 274098 274216 274268 274953 275150 275220 275266 275704 275704 276767 278490 279559 280009 280049 281232 281531 281541 283546 285334 290408 290692 292756 293130 293935 295924 298713 301291 304748 306619 309105 309445 309824 311290 311587 312249 312311 312533 312553 312923 313321 313322 313412 313417 313450 313459 313619 313663 314328 314330 314643 315338 315346 315359 315376 315486 315885 315988 316027 316225 316279 316460 316994 317115 317119 317824 317885 318396 318501 318749 318906 318947 319702 321677 321889 322276 323239 325003 325749 326949 330014 331199 331245 331400 331404 331408 332179 332708 332883 332891 333267 333872 333918 334096 334343 334343 335034 335290 335680 335880 336261 336261 336420 336584 337344 337407
Changes: 
 aptitude (0.4.0-1) unstable; urgency=low
 .
   * aptitude 0.4.0 is released and going into unstable!  Rejoice!
 .
   * New upstream release
 .
     - An additional menu toggle binding has been added that works on all
       terminals, and it is the default binding (meaning it shows up on all
       terminals). (Closes: #147862, #335034)
 .
     - Several command-line operations deal with the -t command in a sane
       way now. (Closes: #334096)
 .
     - "search" completely ignores fake packages. (Closes: #337407)
 .
     - Bullet lists can include any number of spaces after a bullet
       character. (Closes: #337344)
 .
     - The preview screen is only hidden now when the user actually asked
       to continue the installation, not whenever any download starts.
       (Closes: #334343)
 .
     - Fixed more real and potential UTF-8 display problems.
       (Closes: #317119)
 .
     - Added "install" to the manpage synopsis. (Closes: #336584)
 .
     - Translation updates:
 .
       + Chinese (Simplified) (Closes: #335290)
 .
       + Danish (Closes: #335880)
 .
       + Finnish
 .
       + French (Closes: #336261)
 .
       + Romanian (Closes: #335680, #325749)
 .
       + Russian (Closes: #336261, #336420)
 .
 aptitude (0.3.5.1-2) experimental; urgency=low
 .
   * Rebuild against apt 0.6.41.0exp1.
 .
   * Pull changes from darcs head:
 .
     - Handle wide characters more carefully when painting trees.
 .
     - Never display a spurious right arrow in the menu bar.
 .
     - Correct the sigc++ version displayed in the output of --version.
 .
     - Shut down the preview only when installing packages, not for all
       downloads. (Closes: #334343)
 .
     - Don't crash when a changelog contains tabs.
 .
     - Highlight characters that look like bullets in parsed changelogs.
 .
   * Remove the silly "extreme flexibility and customization" line from the
     description.
 .
 aptitude (0.3.5.1-1) experimental; urgency=low
 .
   * New upstream release
 .
     - Fix a segfault caused by a reference to freed memory. (Closes: #331400)
 .
     - Don't crash when the user asks for a changelog of a non-installed
       package. (Closes: #331245)
 .
     - Don't reopen the cache after a download unnecessarily. (Closes: #332708)
 .
     - Use the correct encoding to decode the names of dependency types
       ("Depends", etc). (Closes: #331199)
 .
     - Ensure that string inputs in the configuration dialogs are at least
       visible on narrow terminals.
 .
     - Make sure that clicking Ok in a dialog is just like pushing Enter.
       (Closes: #332179)
 .
     - Read the debtags vocabulary file from the correct location.
       (Closes: #331408)
 .
     - Fix the parser of the backwards-compatibility filter grouping policy.
       (Closes: #331404)
 .
     - Make the behavior of -q and --quiet more closely conform to how
       apt-get behaves. (Closes: #217477)
 .
     - Make Ignore-Trust-Violations actually bypass the authentication
       prompt instead of just saying that it will. (Closes: #332883)
 .
     - Document "aptitude reinstall" in the --help output. (Closes: #333872)
 .
     - Don't output useless error messages in the cronjob if pkgstates
       doesn't exist. (Closes: #332891)
 .
     - Set the priority to 'important' in the source, so I stop getting
       override disparity errors.
 .
     - Translation updates:
 .
       + Basque (Closes: #275704)
       + Czech
       + French
       + Swedish (Closes: #333267, #333918)
 .
 aptitude (0.3.4-1) experimental; urgency=low
 .
   * New upstream release
 .
     - g++-4.0 transition. (Closes: #321889)
 .
     - Add a build-dependency on libncursesw5. (Closes: #321677, #325003)
 .
     - Remove the log files when the package is purged. (Closes: #315346)
 .
     - Update the copyright file.
 .
     - Fix some crashes in the problem resolver. (Closes: #312553)
 .
     - Handle -s and Simulate=true in visual mode as well as command-line
       mode. (Closes: #243192)
 .
     - Fix the warning message printed when you can't forbid a particular
       version. (Closes: #246140)
 .
     - Back up aptitude's pkgstates file in the same manner as dpkg's.
       (Closes: #225095)
 .
     - In addition, keep the last version of pkgstates around every time it
       is modified. (Closes: #316460)
 .
     - Don't use recursive main-loops or otherwise trap 'q'.
       (Closes: #136973)
 .
     - The visual "Keep" command now implicitly cancels holds.
       (Closes: #326949)
 .
     - A generic grouping policy based on search patterns is available.
       (Closes: #156065)
 .
     - If a package version other than the default candidate or the current
       version is selected, aptitude will remember this selection.
       (Closes: #158771)
 .
     - Debtags support. (Closes: #243830)
 .
     - New command-line actions 'keep' and 'keep-all'. (Closes: #312923)
 .
     - New command-line option --schedule-only that just records the
       requested actions in the state file without actually performing them.
       (Closes: #312249)
 .
     - Backward searching is available (bound to backslash). (Closes: #323239)
 .
     - It is now possible to repeat the last search in all pagers.
       (Closes: #270699)
 .
     - The default terminal background color can be used; add
 .
       Aptitude::Styles::Default { bg default; };
 .
       to /etc/apt/apt.conf to enable it.  (Closes: #161872)
 .
     - A warning is displayed when you modify the cache in read-only mode.
       (Closes: #175408)
 .
     - If the option Aptitude::Purge-Unused is set, unused packages will be
       purged instead of just being removed. (Closes: #275150)
 .
     - Add the current timezone to the timestamp printed in the log
       file. (Closes: #318501)
 .
     - If libparse-debianchangelog-perl is installed, aptitude will extract
       version numbers from changelogs and highlight entries that are newer
       than the currently installed version.  (Closes: #290692)
 .
     - aptitude now cleanly handles being suspended while dpkg is running.
       (Closes: #137311, #169479)
 .
     - Sticky states are really ignored when "dist-upgrade" is given at the
       command-line. (Closes: #317885)
 .
     - The password database is used instead of $HOME to determine where
       aptitude's configuration file goes, so people using sudo don't end up
       with root-owned mode 0700 files in their home directory.
       (Closes: #272429, #274216, #285334, #272409)
 .
     - Temporary files and directories are created in /tmp instead of
       ~/.aptitude/.tmp. (Closes: #146485, #245348)
 .
     - If aptitude fails to su to root, it will restore its previous
       selections instead of discarding them. (Closes: #281232)
 .
     - Fix several display bugs related to UTF-8. (Closes: #317115)
 .
     - Be sure to correctly set and update the screen width when running in
       command-line mode. (Closes: #230187)
 .
     - Make keep properly cancel the removal of packages that are
       unused. (Closes: #278490)
 .
     - Abort cleanly instead of crashing when the command-line mode gets
       EOF on stdin. (Closes: #318749)
 .
     - Editorial fix to the amount freed/used indicator. (Closes: #318396)
 .
     - Don't segfault if errors occur while the program is initializing (in
       particular, if the configuration files have errors). (Closes: #309445, #290408)
 .
     - If there are currently broken packages when we go to upgrade, print
       a useful error message instead of just silently quitting.
       (Closes: #316027)
 .
     - Fix the exit value of 'aptitude clean'. (Closes: #274098)
 .
     - Terminate abnormally if the user tries to show a non-existant
       package. (Closes: #301291)
 .
     - Display a more levelheaded message when problems occur during a dpkg
       run. (Closes: #230188)
 .
     - Add a quietness option for command-line mode. (Closes: #217477)
 .
     - Don't try to use terminal output tricks on non-ttys. (Closes: #276767)
 .
     - Don't discard the user's selections to run reportbug. (Closes: #304748)
 .
     - Fix the SEE ALSO entry for the reference manual. (Closes: #265723)
 .
     - Documentation typo fixes. (Closes: #268916)
 .
     - Document that ~a is a way to find packages according to the action
       that is currently going to be applied to them. (Closes: #311290)
 .
     - Delete some unnecessary text that lacks a trailing newline.
       (Closes: #295924)
 .
     - Don't include the upstream blow-by-blow changelog in the package.
 .
     - Translation updates:
 .
       + Czech (Closes: #330014)
       + Danish (Closes: #317824)
       + Finnish (Closes: #316225)
       + French (Closes: #318906)
       + Romanian (Closes: #318947)
       + Vietnamese (Closes: #316994, #319702, #322276)
 .
 aptitude (0.3.3-1) experimental; urgency=low
 .
   * New upstream release
 .
     - UTF-8 support.  Closes: #198257 and friends.
 .
     - Fix a case where different packages would be selected on startup
       than on shutdown. (Closes: #315359)
 .
     - Fixed the startup progress bar. (Closes: #173259)
 .
     - Don't crash when trying to display information about packages that
       have no Archive. (Closes: #312533)
 .
     - Allow media changes to be cancelled (Closes: #315885)
 .
     - Be more explicit when warning the user that the program is in
       read-only mode. (Closes: #313417)
 .
     - Typo fix for cmdline_prompt.  (Closes: #313322)
 .
     - Translation updates:
 .
       * Chinese (Simplified) (Closes: #314330)
 .
       * Chinese (Traditional) (Closes: #311587)
 .
       * Czech (Closes: #314328)
 .
       * Dutch (Closes: #315376, #316279)
 .
       * Finnish (Closes: #312311, #313450)
 .
       * German (Closes: #313663)
 .
       * Lithuanian (Closes: #314643)
 .
       * Norwegian Bokmal (Closes: #313459)
 .
       * Norwegian nynorsk (Closes: #315988)
 .
       * Polish (Closes: #315338)
 .
       * Portuguese (Closes: #315486)
 .
       * Russian (Closes: #313619)
 .
       * Slovak (Closes: #309824)
 .
       * Spanish (Closes: #313412)
 .
       * Vietnamese (Closes: #313321)
 .
 aptitude (0.3.2-4) experimental; urgency=low
 .
   * Build-Depend on docbook-xml (Closes: #309105).
 .
 aptitude (0.3.2-3) experimental; urgency=low
 .
   * Build against apt 0.6.36.
 .
 aptitude (0.3.2-2) experimental; urgency=low
 .
   * Merge brown-paper-bag problem resolver fixes from HEAD.
 .
 aptitude (0.3.2-1) experimental; urgency=low
 .
   * New upstream release, fixing the following Debian bugs:
 .
     - Don't discard apt's helpful error message explaining that dpkg
       --configure -a needs to be run.  (Closes: #160418)
 .
     - Separated the search pattern for "has a sticky hold set" from the
       pattern for "will not be upgraded" (to get the effect of the old
       ~ahold, use ~U~akeep).  (Closes: #216730)
 .
     - Don't crash when the user asks to see the help dialog.
       (Closes: #293935, #306619)
 .
     - Properly preprocess and format the messsage about failed downloads
       (Closes: #298713)
 .
     - If -s is passed to the visual interface, just print an error message
       instead of refusing to start.
 .
 aptitude (0.3.1-4) experimental; urgency=low
 .
   * Correct the Build-Depends on apt to make sure 0.6.0 or greater is used.
     (Closes: #293130)
 .
 aptitude (0.3.1-3) experimental; urgency=low
 .
   * Move the doc packages to the doc section, as suggested by ftpmaster.
 .
 aptitude (0.3.1-2) experimental; urgency=low
 .
   * Doh, change the Build-Depends to require libsigc++-2.0-dev. (Closes: #292756)
 .
 aptitude (0.3.1-1) experimental; urgency=low
 .
   * New upstream release
 .
   * Standards-Version bumped to 3.6.1.0.
 .
 aptitude (0.3.0-1) experimental; urgency=low
 .
   * New upstream release
     - Supports apt 0.6.  (Closes: #281541, #238200)
     - By default, aptitude will only pause after a download if an error
       has occured.  In the UI options dialog, you can also choose to
       always or never pause. (Closes: #219920)
     - Translation updates:
       + Basque (Closes: #275704)
       + Brazilian Portuguese (Closes: #275220)
       + Chinese (Traditional) (Closes: #274268)
       + French (Closes: #274953)
       + German (Closes: #283546)
       + Hebrew [NEW] (Closes: #275266)
       + Lithuanian (Closes: #280049)
       + Polish (Closes: #265481)
       + Romanian (Closes: #281531)
       + Slovak (Closes: #279559)
       + Turkish (Closes: #280009)
 .
   * A French version of the user's manual is now available in
     aptitude-doc-fr.
Files: 
 2c6515a83ecec202d3d2dc7884917930 796 admin - aptitude_0.4.0-1.dsc
 58998542db071b6fa1f38cfa82d10002 4301446 admin - aptitude_0.4.0.orig.tar.gz
 099a7ec076352b380badb5c24b672968 20440 admin - aptitude_0.4.0-1.diff.gz
 ce47ea266a590b3c2ad688c844e6dc81 267626 doc optional aptitude-doc-cs_0.4.0-1_all.deb
 691bfaa4081aa0f6f701e267249f7733 318716 doc optional aptitude-doc-en_0.4.0-1_all.deb
 a547430b5d0f4314c40863790140741e 252712 doc optional aptitude-doc-fi_0.4.0-1_all.deb
 6834a4b43948981b2f45f95c9aab0dd8 244188 doc optional aptitude-doc-fr_0.4.0-1_all.deb
 5eefd6039bbb6b7fd89403954f11f510 2418228 admin important aptitude_0.4.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDa675ch6xsM7kSXgRAqMIAJ9u4vl07LPk8Oqzl7f5B7nsm5/AJwCg0q3R
XdO92SM69+2QTj6qXlHp/J4=
=q/yM
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#307583; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Arthur Marsh <arthur.marsh@internode.on.net>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #58 received at 307583@bugs.debian.org (full text, mbox):

From: Arthur Marsh <arthur.marsh@internode.on.net>
To: Debian Bug Tracking System <307583@bugs.debian.org>
Subject: aptitude: line drawing characters not being displayed
Date: Sat, 08 Apr 2006 15:14:32 +0930
Package: aptitude
Version: 0.4.1-1ssp
Followup-For: Bug #307583


I've just recently had the line drawing characters in aptitude get 
messed up in Konsole. I haven't changed locale settings, but recently 
upgraded libc6.

The Konsole window that aptitude is running in reports:

LANG=en_AU.UTF-8

Aptitude's line drawing characters work fine in console virtual 
terminals, and the LANG setting is also en_AU.UTF-8

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6.3-6-3.1 0.6.43.3   Advanced front-end for dpkg
ii  libc6                         2.3.6-5    GNU C Library: Shared libraries an
ii  libgcc1                       1:4.1.0-1  GCC support library
ii  libncursesw5                  5.5-1      Shared libraries for terminal hand
ii  libsigc++-2.0-0c2a            2.0.16-3   type-safe Signal Framework for C++
ii  libstdc++6                    4.1.0-1    The GNU Standard C++ Library v3

Versions of packages aptitude recommends:
ii  aptitude-doc-en [aptitude-doc 0.4.1-1    English manual for aptitude, a ter

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#307583; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Arthur Marsh <arthur.marsh@internode.on.net>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #63 received at 307583@bugs.debian.org (full text, mbox):

From: Arthur Marsh <arthur.marsh@internode.on.net>
To: Debian Bug Tracking System <307583@bugs.debian.org>
Subject: bug reproducible in aptitude 0.4.1-1
Date: Sat, 08 Apr 2006 19:31:11 +0930
Package: aptitude
Version: 0.4.1-1
Followup-For: Bug #307583


I forgot that I had a custom build, so I installed the official build 
and the problem remains (line drawing characters messed up in Konsole 
TERM=xterm, LANG=en_AU.UTF-8, ok in virtual terminal TERM=linux, 
LANG=en_AU.UTF-8).

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6.3-6-3.1 0.6.43.3   Advanced front-end for dpkg
ii  libc6                         2.3.6-5    GNU C Library: Shared libraries an
ii  libgcc1                       1:4.1.0-1  GCC support library
ii  libncursesw5                  5.5-1      Shared libraries for terminal hand
ii  libsigc++-2.0-0c2a            2.0.16-3   type-safe Signal Framework for C++
ii  libstdc++6                    4.1.0-1    The GNU Standard C++ Library v3

Versions of packages aptitude recommends:
ii  aptitude-doc-en [aptitude-doc 0.4.1-1    English manual for aptitude, a ter

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#307583; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Arthur Marsh <arthur.marsh@internode.on.net>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #68 received at 307583@bugs.debian.org (full text, mbox):

From: Arthur Marsh <arthur.marsh@internode.on.net>
To: 307583@bugs.debian.org
Subject: aptitude line drawing characters problem fixed
Date: Mon, 10 Apr 2006 11:44:15 +0930
Hi, by applying the fix suggested in #361089, aptitude is working fine 
again.

Please close the bug report #307583 against aptitude.

Regards,

Arthur.



Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to michael@endbracket.net:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #73 received at 307583-done@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 307583-done@bugs.debian.org
Subject: Cleaning out the bug log for aptitude
Date: Sun, 28 Jan 2007 07:57:02 +0100
Version: 0.4.4-1

This is fixed for a long time in aptitude but wasn't marked as fixed
in unstable.





Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sebastian Kapfer <sebastian_kapfer@web.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Alte <debian@alte.ru>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Miles Bader <miles@lsi.nec.co.jp>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Pierre Machard <pmachard@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Xiaoju Fan <xiaoju_f@263.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Xavier Bestel <xavier.bestel@free.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Pitt <mpitt@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Hendrik Sattler <debian@hendrik-sattler.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Pakulat <apaku@gmx.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 08:11:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:02:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.